package com.bytedance.android.livesdkapi.depend.model.live.match;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.List;

public final class BattleLinkerInviteMessageExtra {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    public static final Long LJ = 0L;
    @c(LIZ = "match_type")
    public Long LJFF;
    @c(LIZ = "tips")
    public String LJI;
    @c(LIZ = "invite_type")
    public Long LJII;
    @c(LIZ = "sub_type")
    public Long LJIIIIZZ;
    @c(LIZ = "scene")
    public Long LJIIIZ;
    @c(LIZ = "theme")
    public String LJIIJ;
    @c(LIZ = "duration")
    public Long LJIIJJI;
    @c(LIZ = "extra")
    public InviterRivalExtra LJIIL;
    @c(LIZ = "tags")
    public List<BattleRivalTag> LJIILIIL;

    public static final class InviterRivalExtra {
        public static final Long LIZ = 0L;
        @c(LIZ = "TextType")
        public Long LIZIZ;
        @c(LIZ = "Text")
        public String LIZJ;
        @c(LIZ = "Label")
        public String LIZLLL;

        static {
            Covode.recordClassIndex(22337);
        }

        public final String toString() {
            StringBuilder sb = new StringBuilder();
            if (this.LIZIZ != null) {
                sb.append(", TextType=");
                sb.append(this.LIZIZ);
            }
            if (this.LIZJ != null) {
                sb.append(", Text=");
                sb.append(this.LIZJ);
            }
            if (this.LIZLLL != null) {
                sb.append(", Label=");
                sb.append(this.LIZLLL);
            }
            sb.replace(0, 2, "InviterRivalExtra{");
            sb.append('}');
            return sb.toString();
        }
    }

    static {
        Covode.recordClassIndex(22336);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJFF != null) {
            sb.append(", match_type=");
            sb.append(this.LJFF);
        }
        if (this.LJI != null) {
            sb.append(", tips=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", invite_type=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", sub_type=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", scene=");
            sb.append(this.LJIIIZ);
        }
        if (this.LJIIJ != null) {
            sb.append(", theme=");
            sb.append(this.LJIIJ);
        }
        if (this.LJIIJJI != null) {
            sb.append(", duration=");
            sb.append(this.LJIIJJI);
        }
        if (this.LJIIL != null) {
            sb.append(", extra=");
            sb.append(this.LJIIL);
        }
        if (!this.LJIILIIL.isEmpty()) {
            sb.append(", tags=");
            sb.append(this.LJIILIIL);
        }
        sb.replace(0, 2, "BattleLinkerInviteMessageExtra{");
        sb.append('}');
        return sb.toString();
    }
}
